IRremoteESP8266: VoltasProtocol Union Reference

IRremoteESP8266

Public Attributes | List of all members
VoltasProtocol Union Reference

Native representation of a Voltas A/C message. More...

`#include <ir_Voltas.h>`

## Public Attributes

uint8_t | raw [kVoltasStateLength]
| The state in native IR code form. More...
struct {
uint8_t SwingH:1
uint8_t SwingHChange:7
uint8_t Mode:4
uint8_t __pad0__:1
uint8_t FanSpeed:3
uint8_t SwingV:3
uint8_t Wifi:1
uint8_t __pad1__:1
uint8_t Turbo:1
uint8_t Sleep:1
uint8_t Power:1
uint8_t Temp:4
uint8_t __pad2__:2
uint8_t Econo:1
uint8_t TempSet:1
uint8_t OnTimerMins:6
uint8_t __pad3__:1
uint8_t OnTimer12Hr:1
uint8_t OffTimerMins:6
uint8_t __pad4__:1
uint8_t OffTimer12Hr:1
uint8_t __pad5__:8
uint8_t OnTimerHrs:4
uint8_t OffTimerHrs:4
uint8_t __pad6__:5
uint8_t Light:1
uint8_t OffTimerEnable:1
uint8_t OnTimerEnable:1
uint8_t Checksum:8
}; |

## Detailed Description

Native representation of a Voltas A/C message.

## Member Data Documentation

## ◆ @88

struct { ... }

## ◆ __pad0__

uint8_t VoltasProtocol::__pad0__

## ◆ __pad1__

uint8_t VoltasProtocol::__pad1__

## ◆ __pad2__

uint8_t VoltasProtocol::__pad2__

## ◆ __pad3__

uint8_t VoltasProtocol::__pad3__

## ◆ __pad4__

uint8_t VoltasProtocol::__pad4__

## ◆ __pad5__

uint8_t VoltasProtocol::__pad5__

## ◆ __pad6__

uint8_t VoltasProtocol::__pad6__

## ◆ Checksum

uint8_t VoltasProtocol::Checksum

## ◆ Econo

uint8_t VoltasProtocol::Econo

## ◆ FanSpeed

uint8_t VoltasProtocol::FanSpeed

## ◆ Light

uint8_t VoltasProtocol::Light

## ◆ Mode

uint8_t VoltasProtocol::Mode

## ◆ OffTimer12Hr

uint8_t VoltasProtocol::OffTimer12Hr

## ◆ OffTimerEnable

uint8_t VoltasProtocol::OffTimerEnable

## ◆ OffTimerHrs

uint8_t VoltasProtocol::OffTimerHrs

## ◆ OffTimerMins

uint8_t VoltasProtocol::OffTimerMins

## ◆ OnTimer12Hr

uint8_t VoltasProtocol::OnTimer12Hr

## ◆ OnTimerEnable

uint8_t VoltasProtocol::OnTimerEnable

## ◆ OnTimerHrs

uint8_t VoltasProtocol::OnTimerHrs

## ◆ OnTimerMins

uint8_t VoltasProtocol::OnTimerMins

## ◆ Power

uint8_t VoltasProtocol::Power

## ◆ raw

uint8_t VoltasProtocol::raw[kVoltasStateLength]

The state in native IR code form.

## ◆ Sleep

uint8_t VoltasProtocol::Sleep

## ◆ SwingH

uint8_t VoltasProtocol::SwingH

## ◆ SwingHChange

uint8_t VoltasProtocol::SwingHChange

## ◆ SwingV

uint8_t VoltasProtocol::SwingV

## ◆ Temp

uint8_t VoltasProtocol::Temp

## ◆ TempSet

uint8_t VoltasProtocol::TempSet

## ◆ Turbo

uint8_t VoltasProtocol::Turbo

## ◆ Wifi

uint8_t VoltasProtocol::Wifi

The documentation for this union was generated from the following file:

- src/ir_Voltas.h